com.google.gwt.event.dom.client

## Class HandlesAllFocusEvents

- java.lang.Object
- - com.google.gwt.event.dom.client.HandlesAllFocusEvents

All Implemented Interfaces:
  BlurHandler, FocusHandler, EventHandler

    public abstract class HandlesAllFocusEvents
    extends java.lang.Object
    implements FocusHandler, BlurHandler

Receiver used to handle all focus events at once.

### Constructor Summary

Constructors
Constructor and Description
`HandlesAllFocusEvents()` Constructor.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `handle(HasAllFocusHandlers source)` Convenience method to handle both focus and blur events from an event source.
`static <H extends BlurHandler & FocusHandler> void` `handle(HasAllFocusHandlers eventSource, H reciever)` Convenience method used to handle both focus and blur events from an event source.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.gwt.event.dom.client.FocusHandler

`onFocus`

### Methods inherited from interface com.google.gwt.event.dom.client.BlurHandler

`onBlur`

### Constructor Detail

#### HandlesAllFocusEvents

    public HandlesAllFocusEvents()

Constructor.

### Method Detail

#### handle

    public static <H extends BlurHandler & FocusHandler> void handle(HasAllFocusHandlers eventSource,
                                                                     H reciever)

Convenience method used to handle both focus and blur events from an event source.

Type Parameters:
  `H` - receiver type, must implement both `FocusHandler` and `BlurHandler` handlers
Parameters:
  `eventSource` - the event source
  `reciever` - the receiver implementing both focus and blur handlers

#### handle

    public void handle(HasAllFocusHandlers source)

Convenience method to handle both focus and blur events from an event source.

Parameters:
  `source` - the event source